Foxit PDF SDK

Instance Methods | List of all members
FSOptimizeScannedPDFSettings Class Reference
Inheritance diagram for FSOptimizeScannedPDFSettings:

## Instance Methods
(id) | - initWithOther:
| Constructor, with another result information object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setColorGrayImageCompressionMode:
| Set compression mode used for optimizing color/gray images in the scanned PDF document. More...
(void) | - setColorGrayImageCompressionQuality:
| Set the quality for lossy compression modes, used for optimizing color/gray images in a scanned PDF document. More...
(void) | - setMonoImageCompressionMode:
| Set compression mode used for optimizing monochrome images in a scanned PDF document. More...
(void) | - setOptimizedPages:
| Set the pages which will be optimized. More...

## Detailed Description

This class represents settings for optimizing a scanned PDF document. It would be used in class FSOptimizer .

See also
  FSOptimizer

## Method Documentation

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSOptimizeScannedPDFSettings*) | other |

Constructor, with another result information object.

Parameters

  [in] | other | Another optimizer settings object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setColorGrayImageCompressionMode:()

- (void) setColorGrayImageCompressionMode: |  | (FSOptimizeScannedPDFSettingsScannedImageCompressMode) | mode |

Set compression mode used for optimizing color/gray images in the scanned PDF document.

For a newly constructed object, if this function is not called to set option, that means to use OptimizeScannedPDFSettings::e_ImageCompressjpeg as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FSOptimizeScannedPDFSettingsScannedImageCompressHigh and this should be one of these values.

Returns
  None.

## ◆ setColorGrayImageCompressionQuality:()

- (void) setColorGrayImageCompressionQuality: |  | (unsigned int) | quality |

Set the quality for lossy compression modes, used for optimizing color/gray images in a scanned PDF document.

For a newly constructed object, if this function is not called to set this option, that means to use 33 as the default value of this option.

Parameters

  [in] | quality | Quality value for lossy compression modes, the value must between 0 and 100.

Note
  This method only valid in FSOptimizeScannedPDFSettingsScannedImageCompressHigh and FSOptimizeScannedPDFSettingsScannedImageCompressjpeg compress mode.

Returns
  None.

## ◆ setMonoImageCompressionMode:()

- (void) setMonoImageCompressionMode: |  | (FSOptimizeScannedPDFSettingsScannedMonoImageCompressMode) | mode |

Set compression mode used for optimizing monochrome images in a scanned PDF document.

For a newly constructed object, if this function is not called to set option, that means to use FSOptimizeScannedPDFSettingsScannedMonoImageCompressjbig2Lossy as the default value of this option.

Parameters

  [in] | mode | Image compression mode. Please refer to values starting from FSOptimizeScannedPDFSettingsScannedMonoImageCompressjbig2Lossy and this should be one of these values.

Returns
  None.

## ◆ setOptimizedPages:()

- (void) setOptimizedPages: |  | (FSRange*) | pages |

Set the pages which will be optimized.

For a newly constructed object,if this function is not called. all pages will be optimized.

Parameters

  [in] | pages | The Specify pages, If pages doesn't not add pages index means all pages will be optimized.

Returns
  None.